Issue1094

classification
Title: mismatched input class parsing error on "class" attributes of a java object
Type: Severity: major
Components: Core Versions: 2.5alpha1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cprinos, zyasoft
Priority: Keywords:

Created on 2008-08-02.20:44:57 by cprinos, last changed 2008-09-13.16:24:41 by zyasoft.

Messages
msg3390 (view) Author: Chris Prinos (cprinos) Date: 2008-08-02.20:44:57
The following code works in jython 2.2.1 but not in 2.5a1.


Jython 2.5a1+ (asm:4943:4945, Jul 15 2008, 15:30:04)
[Java HotSpot(TM) Client VM (Sun Microsystems Inc.)] on java1.6.0_06
Type "help", "copyright", "credits" or "license" for more information.
>>> from javax.swing import *
>>> jl = JLabel()
>>> print jl.class
Traceback (most recent call last):
  (no code object) at line 0
  File "<stdin>", line 0
        XXX: missing text
        ^
SyntaxError: mismatched input class expecting NAME (<stdin>, line 0)


changing this by printing jl.getClass() instead works ok
msg3504 (view) Author: Jim Baker (zyasoft) Date: 2008-09-13.16:24:40
Fixed by r5088
We have coverage of this issue in test_java_integration.py
History
Date User Action Args
2008-09-13 16:24:41zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg3504
nosy: + zyasoft
2008-08-02 20:46:11cprinossetcomponents: + Core
2008-08-02 20:44:57cprinoscreate